Bug 842547 - HornetQ based human task service doesn't listens on IPs, it listens only to localhost
HornetQ based human task service doesn't listens on IPs, it listens only to l...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Maciej Swiderski
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 03:25 EDT by Toshiya Kobayashi
Modified: 2015-06-01 21:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the HornetQ task server only listened to the localhost making it impossible to connect to a remote service. This has been resolved by allowing configurable bind for host and IP for the the HornetQ task server. It is now possible to bind the HornetQ task server to a custom host and IP.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3720 Major Resolved HornetQ based human task service doesn't listens on IPs, it listens only to localhost 2015-05-22 17:10:55 EDT

  None (edit)
Description Toshiya Kobayashi 2012-07-24 03:25:10 EDT
Description of problem:

Backport the fix for https://issues.jboss.org/browse/JBPM-3720

Hornetq based human task service always listens to localhost. If we need to connect to a remote srvice using API its not possible, hence HornetQ based human task service should also have its host/ip configurable similar to its port.

Actual results:

Listen address is not configurable in jbpm-human-task.war. It always listens to localhost.

Expected results:

hornetq.host is configurable in jbpm-human-task.war/WEB-INF/web.xml and Human Task Service listens to configured address.
Comment 3 Maciej Swiderski 2012-08-23 12:35:44 EDT
backported into 5.2.x branch
Comment 4 Jiri Svitak 2012-09-25 06:31:39 EDT
Verified in BRMS 5.3.1 ER1.
Comment 5 lcarlon 2012-10-21 22:58:25 EDT
Docs text edited for inclusion in the release notes document. Thanks for providing the text, Maciej.

- Lee

Note You need to log in before you can comment on or make changes to this bug.